function f = afficheMat(M,imin,imax,jmin,jmax)
    
    // display M(x,y) with x=imin->imax and j=jmin->jmax
    
    delta_i = imax-imin;
    delta_j = jmax-jmin;
    
    pas_i = delta_i/size(M,1);
    pas_j = delta_j/size(M,2);

    f = scf();
    ax = gca();//get current axes handle
    ax.data_bounds = [jmin-delta_j/10, imin-delta_i/10; jmax+delta_j/10, imax+delta_i/10]; //set the data_bounds
    ax.axes_visible = ["on","on","off"]

    dyn = max(M)-min(M);
    M256 = 255*(M-min(M))/dyn;
    Matplot1(M256($:-1:1,:),[jmin-pas_j/2,imin-pas_i/2,jmax+pas_j/2,imax+pas_i/2]);
    f.color_map = graycolormap(256);
    

endfunction



function afficheMat_inlaid(M,imin,imax,jmin,jmax,figID)
    
    // display M(x,y) with x=imin->imax and j=jmin->jmax
    // inlaid in image of figure figID

    delta_i = imax-imin;
    delta_j = jmax-jmin;
    
    pas_i = delta_i/size(M,1);
    pas_j = delta_j/size(M,2);
    
    dyn = max(M)-min(M);
    M256 = 255*(M-min(M))/dyn;
    scf(figID);
    Matplot1(M256($:-1:1,:),[jmin-pas_j/2,imin-pas_i/2,jmax+pas_j/2,imax+pas_i/2]);
    
endfunction
